org.eclipse.graphiti.ui.editor

## Class DiagramEditorInputFactory

- java.lang.Object
- - org.eclipse.graphiti.ui.editor.DiagramEditorInputFactory

All Implemented Interfaces:
  IElementFactory

    public class DiagramEditorInputFactory
    extends Object
    implements IElementFactory

The Class DiagramEditorFactory. A factory for creating DiagramEditorInput objects.

Since:
  0.9 results from renaming DiagramEditorFactory
See Also:
  `DiagramEditorInputFactory}`, `DiagramEditorInput}`

### Constructor Summary

Constructors
Constructor and Description
`DiagramEditorInputFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IAdaptable` `createElement(IMemento memento)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiagramEditorInputFactory

    public DiagramEditorInputFactory()

### Method Detail

#### createElement

    public IAdaptable createElement(IMemento memento)

Specified by:
  `createElement` in interface `IElementFactory`